package com.fs.crm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.crm.domain.CrmCustomerAnalyze;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 客户聊天记录分析Mapper接口
 *
 * @author fs
 * @date 2026-03-24
 */
public interface CrmCustomerAnalyzeMapper extends BaseMapper<CrmCustomerAnalyze>{
    /**
     * 查询客户聊天记录分析
     *
     * @param id 客户聊天记录分析主键
     * @return 客户聊天记录分析
     */
    CrmCustomerAnalyze selectCrmCustomerAnalyzeById(Long id);

    /**
     * 查询客户聊天记录分析列表
     *
     * @param crmCustomerAnalyze 客户聊天记录分析
     * @return 客户聊天记录分析集合
     */
    List<CrmCustomerAnalyze> selectCrmCustomerAnalyzeList(CrmCustomerAnalyze crmCustomerAnalyze);

    /**
     * 新增客户聊天记录分析
     *
     * @param crmCustomerAnalyze 客户聊天记录分析
     * @return 结果
     */
    int insertCrmCustomerAnalyze(CrmCustomerAnalyze crmCustomerAnalyze);

    /**
     * 修改客户聊天记录分析
     *
     * @param crmCustomerAnalyze 客户聊天记录分析
     * @return 结果
     */
    int updateCrmCustomerAnalyze(CrmCustomerAnalyze crmCustomerAnalyze);

    /**
     * 删除客户聊天记录分析
     *
     * @param id 客户聊天记录分析主键
     * @return 结果
     */
    int deleteCrmCustomerAnalyzeById(Long id);

    /**
     * 批量删除客户聊天记录分析
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCrmCustomerAnalyzeByIds(Long[] ids);

    CrmCustomerAnalyze selectLatestOne(@Param("customerId") Long customerId);

    int updateCustomerPortrait(CrmCustomerAnalyze crmCustomerAnalyze);

    List<CrmCustomerAnalyze> selectCrmCustomerAnalyzeListAll(CrmCustomerAnalyze crmCustomerAnalyze);
}
